edu.sc.seis.sod

## Class EventChannelPair

- java.lang.Object
- - edu.sc.seis.sod.WaveformWorkUnit
  - - edu.sc.seis.sod.AbstractEventPair
    - - edu.sc.seis.sod.CookieEventPair
      - - edu.sc.seis.sod.AbstractEventChannelPair
        - - edu.sc.seis.sod.EventChannelPair

- All Implemented Interfaces:
    java.lang.Runnable

      public class EventChannelPair
      extends AbstractEventChannelPair

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BIG_ERROR_MSG`

    - ### Fields inherited from class edu.sc.seis.sod.AbstractEventChannelPair

      `esp`

    - ### Fields inherited from class edu.sc.seis.sod.WaveformWorkUnit

      `dbid, failLogger, lastQuery, numRetries`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `EventChannelPair()` for hibernate
    `` | `EventChannelPair(StatefulEvent event, edu.iris.Fissures.network.ChannelImpl chan, EventStationPair esp)`
    `` | `EventChannelPair(StatefulEvent event, edu.iris.Fissures.network.ChannelImpl chan, Status status, EventStationPair esp)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `edu.iris.Fissures.network.ChannelImpl` | `getChannel()`
    `int` | `getChannelDbId()`
    `int` | `hashCode()`
    `void` | `run()`
    `protected void` | `setChannel(edu.iris.Fissures.network.ChannelImpl chan)` for use by hibernate
    `java.lang.String` | `toString()`

    - ### Methods inherited from class edu.sc.seis.sod.AbstractEventChannelPair

      `getCookieJar, getEsp, setEsp, update`

    - ### Methods inherited from class edu.sc.seis.sod.CookieEventPair

      `getCookies, setCookies, setStatus`

    - ### Methods inherited from class edu.sc.seis.sod.AbstractEventPair

      `getEvent, getEventDbId, getStatus, setEvent, update`

    - ### Methods inherited from class edu.sc.seis.sod.WaveformWorkUnit

      `getDbid, getLastQuery, getNumRetries, setDbid, setLastQuery, setNumRetries, updateRetries`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### BIG_ERROR_MSG

          public static final java.lang.String BIG_ERROR_MSG

  - ### Constructor Detail

    - #### EventChannelPair

          protected EventChannelPair()

      for hibernate

    - #### EventChannelPair

          public EventChannelPair(StatefulEvent event,
                                  edu.iris.Fissures.network.ChannelImpl chan,
                                  EventStationPair esp)

    - #### EventChannelPair

          public EventChannelPair(StatefulEvent event,
                                  edu.iris.Fissures.network.ChannelImpl chan,
                                  Status status,
                                  EventStationPair esp)

  - ### Method Detail

    - #### run

          public void run()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `WaveformWorkUnit`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `WaveformWorkUnit`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getChannelDbId

          public int getChannelDbId()

    - #### getChannel

          public edu.iris.Fissures.network.ChannelImpl getChannel()

    - #### setChannel

          protected void setChannel(edu.iris.Fissures.network.ChannelImpl chan)

      for use by hibernate